Skocz do zawartości
WiktoriaK

Jaka wersja PHP najlepsza?

Rekomendowane odpowiedzi

Witam. Na zainstalowanym sklepie testowym w wer 1.6.1.4 w PA/zaawansowane/informacje konfiguracyjne wyświetla mi się komunikat, że posiadam wersję PHP 5.3 i że wkrótce najniższą obsługiwaną wersją będzie 5.4. Posiadam serwer na Nazwa.pl i jak patrzę jest tam kilka wersji PHP w tym ta 5.4. Po zmianie na 5.4 w PA/zaawansowane/informacje konfiguracyjne w ogóle nie wyświetla mi się, bo strona cały czas się mieli i mieli... Na działającym sklepie w wersji 1.6.0.9 to samo. Poza tym wygląda na to, że wszystko inne działa jak powinno. Pytania takie mam - dlaczego na PHP 5.4 jest taki problem, czy da się go jakoś rozwiązać? Czy może ustawić którąś z wyższych wersji? Tak poza tym można sobie, ot tak zmieniać te wersje? Na razie zmieniłam na 5.4 i wróciłam do 5.3 jak zobaczyłam problem z wyświetlaniem tej jednej zakładki.

 

1.6.1.4  oraz  1.6.0.9

 

post-5928-0-87722500-1457081115_thumb.jpg

post-5928-0-00845700-1457081123_thumb.jpg

Udostępnij tego posta


Odnośnik do posta
Udostępnij na innych stronach

W ogólności im wyższa tym lepsza, bo bardziej zoptymalizowana, zalecam sprawdzić czy wszystko działa pod np. 5.6 lub 5.5. Można sobie zmieniać wersję PHP, ale w nazwa.pl jest tak, że wpływa to na cały serwer i wszystkie inne strony/domeny jakie masz tam postawione. Może coś przestać działać jak będzie stary kod np strona na Joomla lub WordPress. W innych hostingach da się w panelu zmienić dowolnie dla każdej domeny z osobna.

 

Co do 5.4 jeżeli działa sklep i cały panel a nie działa tylko ta jedna podstrona to bym tak zostawił.

Daj znać jakie efekty.

Udostępnij tego posta


Odnośnik do posta
Udostępnij na innych stronach

Na 5.5 działa to co nie działało na 5.4. Przetestuję sobie jeszcze, żeby sprawdzić czy gdzieś indziej nie ma jakiś błędów. A mam jeszcze dodatkowe pytanie, bo ta wersja ma kilka opcji do włączenia/wyłączenia (a jakie to na załączonym zdjęciu) i czy coś tam powinnam włączyć? Wszystko domyślnie jest wyłączone. Tylko zaznaczone pozycje strzałkami można włączyć. Na serwerze jest tylko działający sklep (1.6.0.9) oraz sklep testowy (1.6.1.4)  - nic poza tym.

post-5928-0-16525200-1457792257_thumb.jpg

Udostępnij tego posta


Odnośnik do posta
Udostępnij na innych stronach

Jeśli chcesz dodać odpowiedź, zaloguj się lub zarejestruj nowe konto

Jedynie zarejestrowani użytkownicy mogą komentować zawartość tej strony.

Zarejestruj nowe konto

Załóż nowe konto. To bardzo proste!

Zarejestruj się

Zaloguj się

Posiadasz już konto? Zaloguj się poniżej.

Zaloguj się



  • Przeglądający

    Brak zarejestrowanych użytkowników, przeglądających tę stronę.

  • Aktywni użytkownicy

    Nikt jeszcze nie otrzymał reputacji w tym tygodniu.

  • Statystyki forum

    • Tematów
      7522
    • Postów
      36289
×